Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 588803 - as5 plugin's getAvailability() should handle the case then AS5/AS6 instance is listening on an AS4 Server Resource's JNP URL
Summary: as5 plugin's getAvailability() should handle the case then AS5/AS6 instance i...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Plugins
Version: 1.3.1
Hardware: All
OS: All
low
low vote
Target Milestone: ---
: ---
Assignee: Ian Springer
QA Contact: Corey Welton
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-04 16:28 UTC by Ian Springer
Modified: 2013-08-06 00:36 UTC (History)
1 user (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-12 16:56:18 UTC


Attachments (Terms of Use)

Description Ian Springer 2010-05-04 16:28:56 UTC
When it detects a server from a different config path is listening on the server's JNP URL, it should also log an error, rather than a debug message (though this error should be throttled, since getAvailablity() is called frequently.

Comment 1 Ian Springer 2010-05-04 18:47:52 UTC
Fixed by git rev 6261da7f85ffbc00386495ffdf6e080871355237.

INSTRUCTIONS FOR TESTING THE FIX
================================
1) inventory an EAP 4.x instance and verify it is green in the GUI
2) stop the EAP 4.x instance
3) start up an EAP 5.0 or AS 6.0 instance on the same bind address as the EAP 4.x instance
4) run the 'avail' Agent prompt command to kick off a full availability scan
5) verify that an error message similar to the following is logged to the Agent log:

[ERROR] Availability check for JBoss AS Resource with configPath [/opt/jboss-eap-4.3/jboss-as/server/production] has connected to a different running JBoss AS instance which is installed at [/opt/jboss-as-6.0/server/default] using namingURL [jnp:127.0.0.1:1099/] - returning AvailabilityType.DOWN..."

6) run the 'avail' Agent prompt command a second time to kick off another full availability scan
7) verify that the error message is not logged again
8) go to the GUI and verify the Resource is red

Comment 2 Corey Welton 2010-05-19 13:21:48 UTC
QA verified.

Comment 3 Corey Welton 2010-08-12 16:56:18 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.